Prospects
Get Prospect Notes
GET /v1/prospects/{prospectId}/notes
GET
/v1/prospects/{prospectId}/notesGET
/v1/prospects/
{prospectId}/notesList notes for a prospect
Returns a paginated list of notes attached to the specified prospect, along with any draft note and pagination metadata. Use the skip and take query parameters to page through results.
Authorization
x-api-key<token>
API key for Open API authentication
In: header
Path Parameters
prospectIdstring
Public prospect ID returned by prospect read/list APIs.
Query Parameters
skipnumber
Number of notes to skip (offset).
Default:0Minimum: 0takenumber
Number of notes to return per page (max 100).
Default:20Minimum: 1Maximum: 100Responses
200
Notes fetched successfully
{
"message": "Notes fetched successfully",
"payload": {
"notes": [
{
"id": "Nt7Yp4Za",
"prospectId": "Pr9xQ2Lm",
"visibility": "1",
"status": "1",
"pinnedAt": "2026-04-21T10:59:21.000Z",
"createdAt": "2026-04-21T10:57:07.000Z",
"updatedAt": "2026-04-21T10:59:21.000Z",
"editedAt": "2026-04-21T10:58:29.000Z",
"author": {
"firstName": "Avery",
"lastName": "Stone",
"email": "[email protected]"
},
"editedBy": {
"firstName": "Avery",
"lastName": "Stone",
"email": "[email protected]"
},
"content": "<p>Discussed annual plan and renewal timeline.</p>"
}
],
"draftNote": null,
"pagination": {
"skip": 0,
"take": 20,
"hasMore": true
}
}
}